import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';
import path from 'path';
// https://vite.dev/config/
export default defineConfig({
  plugins: [react()],
  resolve: {
    alias: {
      '@components': path.resolve(__dirname, 'src/components'),
      '@Base': path.resolve(__dirname, 'src/components/Base'),
      '@Shared': path.resolve(__dirname, 'src/components/Shared'),
      '@lib': path.resolve(__dirname, 'src/lib'),
      '@assets': path.resolve(__dirname, 'src/assets')
      // Add more aliases as needed
    }
  }
});
